## gdspy 1.3.1

=== requirements.txt ===
setuptools
numpy
future; python_version < "3"

=== debian/changelog ===
gdspy (1.3.1-3) unstable; urgency=medium

  * debian/control:
    - gdspy-common 'Multi-Arch: foreign'
  * debian/tests:
    - Added autopkgtest

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 29 Nov 2018 08:30:50 +0100

gdspy (1.3.1-2) unstable; urgency=medium

  * debian/control, debian/rules:
    - Build sphinx documentation explicitly with python3.7 to make sure the
      paths in debian/rules remain correct. (Closes: #914361)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 22 Nov 2018 20:12:17 +0100

gdspy (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #909819)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 30 Sep 2018 20:48:54 +0200

=== debian/control ===
Source: gdspy
Section: electronics
Priority: optional
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all-dev,
               python-setuptools,
               python-numpy,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               python-sphinx,
               python-sphinx-rtd-theme,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3.7
Standards-Version: 4.2.1
Homepage: https://gdspy.readthedocs.io/en/stable/
Vcs-Git: https://salsa.debian.org/python-team/modules/gdspy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/gdspy

Package: python-gdspy
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         gdspy-common (= ${source:Version})
Suggests: gdspy-doc
Section: python
Description: Python library for GDSII handling
 Gdspy is a Python module for creating/importing/merging GDSII stream files. It
 includes key libraries for creating complex CAD layouts.
 .
 Features:
  - Boolean operations on polygons (AND, OR, NOT, XOR) based on clipping
    algorithm
  - Polygon offset (inward and outward rescaling of polygons)
  - Efficient point-in-polygon solutions for large array sets
 .
 This package installs the library for Python 2.

Package: python3-gdspy
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         gdspy-common (= ${source:Version})
Suggests: gdspy-doc
Section: python
Description: Python library for GDSII handling (Python 3)
 Gdspy is a Python module for creating/importing/merging GDSII stream files. It
 includes key libraries for creating complex CAD layouts.
 .
 Features:
  - Boolean operations on polygons (AND, OR, NOT, XOR) based on clipping
    algorithm
  - Polygon offset (inward and outward rescaling of polygons)
  - Efficient point-in-polygon solutions for large array sets
 .
 This package installs the library for Python 3.

Package: gdspy-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for gdspy (Python library for GDSII handling)
 Gdspy is a Python module for creating/importing/merging GDSII stream files. It
 includes key libraries for creating complex CAD layouts.
 .
 Features:
  - Boolean operations on polygons (AND, OR, NOT, XOR) based on clipping
    algorithm
  - Polygon offset (inward and outward rescaling of polygons)
  - Efficient point-in-polygon solutions for large array sets
 .
 This is the common documentation package containing HTML pages and the man
 page.

Package: gdspy-common
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends}
Description: Images used by gdspy
 Gdspy is a Python module for creating/importing/merging GDSII stream files. It
 includes key libraries for creating complex CAD layouts.
 .
 Features:
  - Boolean operations on polygons (AND, OR, NOT, XOR) based on clipping
    algorithm
  - Polygon offset (inward and outward rescaling of polygons)
  - Efficient point-in-polygon solutions for large array sets
 .
 This package contains arch-independent images which are needed by both
 python-gdspy and python3-gdspy.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=gdspy

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

override_dh_python2:
	dh_python2
	mkdir -p debian/gdspy-common/usr/share/gdspy/
	$(RM) -r debian/python-gdspy/usr/lib/python2.7/dist-packages/gdspy/data

override_dh_python3:
	dh_python3
	mkdir -p debian/gdspy-common/usr/share/gdspy/
	mv debian/python3-gdspy/usr/lib/python3/dist-packages/gdspy/data debian/gdspy-common/usr/share/gdspy/

override_dh_installdocs:
	cd build && PYTHONPATH=../debian/python3-gdspy/usr/lib/python3.7/dist-packages http_proxy='127.0.0.1:9' python3.7 -m sphinx -N -bhtml ../docs html # HTML generator
	cd build && PYTHONPATH=../debian/python3-gdspy/usr/lib/python3.7/dist-packages http_proxy='127.0.0.1:9' python3.7 -m sphinx -N -bman  ../docs man # Manpage generator
	dh_installdocs

override_dh_clean:
	dh_clean
	$(RM) -r gdspy.egg-info

## gdspy 1.4.2

=== requirements.txt ===
setuptools
numpy
future; python_version < "3"
pytest == 4.6; python_version < "3"

=== debian/changelog ===
gdspy (1.4.2-2build11) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:04:42 +0000

gdspy (1.4.2-2build10) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:19:48 +0000

gdspy (1.4.2-2build9) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:34:38 +0100

gdspy (1.4.2-2build8) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:38:39 +0000

gdspy (1.4.2-2build7) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:20:23 +0100

gdspy (1.4.2-2build6) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 17 Mar 2023 09:31:09 +0000

gdspy (1.4.2-2build5) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 15:44:58 +0000

gdspy (1.4.2-2build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:38:45 +0000

gdspy (1.4.2-2build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Oct 2021 00:19:18 +0200

gdspy (1.4.2-2build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:23:06 +0100

gdspy (1.4.2-2build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:01:33 +0100

gdspy (1.4.2-2) unstable; urgency=medium

  * Drop build-dependency on python3.7 (Closes: #951843)
  * Make sure debian/rules is independent of exact Python3 version
    (Closes: #951706)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 21 Mar 2020 14:23:50 +0100

gdspy (1.4.2-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * debian/control:
    - Do not build python-gdspy anymore (Closes: #936592)
    - Remove build-dependencies for Python 2 version
    - New standards version 4.4.0 - no changes
    - Depend on debhelper-compat = 12
  * debian/compat: delete file - replaced by build-dependency on
    debhelper-compat
  * debian/copyright: Add 2019

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 21:17:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,43 +2,17 @@
 Section: electronics
 Priority: optional
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all-dev,
-               python-setuptools,
-               python-numpy,
                python3-all-dev,
                python3-setuptools,
                python3-numpy,
-               python-sphinx,
-               python-sphinx-rtd-theme,
                python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3.7
-Standards-Version: 4.2.1
+               python3-sphinx-rtd-theme
+Standards-Version: 4.4.0
 Homepage: https://gdspy.readthedocs.io/en/stable/
 Vcs-Git: https://salsa.debian.org/python-team/modules/gdspy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/gdspy
-
-Package: python-gdspy
-Architecture: any
-Depends: ${python:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends},
-         gdspy-common (= ${source:Version})
-Suggests: gdspy-doc
-Section: python
-Description: Python library for GDSII handling
- Gdspy is a Python module for creating/importing/merging GDSII stream files. It
- includes key libraries for creating complex CAD layouts.
- .
- Features:
-  - Boolean operations on polygons (AND, OR, NOT, XOR) based on clipping
-    algorithm
-  - Polygon offset (inward and outward rescaling of polygons)
-  - Efficient point-in-polygon solutions for large array sets
- .
- This package installs the library for Python 2.
 
 Package: python3-gdspy
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=gdspy

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

override_dh_python3:
	dh_python3
	mkdir -p debian/gdspy-common/usr/share/gdspy/
	mv debian/python3-gdspy/usr/lib/python3/dist-packages/gdspy/data debian/gdspy-common/usr/share/gdspy/

override_dh_installdocs:
	cd build && PYTHONPATH=../debian/python3-gdspy/usr/lib/$(shell readlink $(shell which python3))/dist-packages http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml ../docs html # HTML generator
	cd build && PYTHONPATH=../debian/python3-gdspy/usr/lib/$(shell readlink $(shell which python3))/dist-packages http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman  ../docs man # Manpage generator
	dh_installdocs

override_dh_clean:
	dh_clean
	$(RM) -r gdspy.egg-info

=== debian/tests/control ===
Tests: gdspy-load
Depends: python3-gdspy
